Skip to content
Start here

Web3 Hostname Details

client.web3.hostnames.get(stringidentifier, HostnameGetParams { zone_id } params, RequestOptionsoptions?): Hostname { id, created_on, description, 5 more }
GET/zones/{zone_id}/web3/hostnames/{identifier}

Web3 Hostname Details

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Web3 Hostnames WriteWeb3 Hostnames Read
ParametersExpand Collapse
identifier: string

Specify the identifier of the hostname.

maxLength32
params: HostnameGetParams { zone_id }
zone_id: string

Specify the identifier of the hostname.

maxLength32
ReturnsExpand Collapse
Hostname { id, created_on, description, 5 more }
id?: string

Specify the identifier of the hostname.

maxLength32
created_on?: string
formatdate-time
description?: string

Specify an optional description of the hostname.

maxLength500
modified_on?: string
formatdate-time
name?: string

Specify the hostname that points to the target gateway via CNAME.

maxLength255
status?: "active" | "pending" | "deleting" | "error"

Specifies the status of the hostname's activation.

One of the following:
"active"
"pending"
"deleting"
"error"
target?: "ethereum" | "ipfs" | "ipfs_universal_path"

Specify the target gateway of the hostname.

One of the following:
"ethereum"
"ipfs"
"ipfs_universal_path"

Web3 Hostname Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const hostname = await client.web3.hostnames.get('023e105f4ecef8ad9ca31a8372d0c353', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(hostname.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "This is my IPFS gateway.",
    "dnslink": "/ipns/onboarding.ipfs.cloudflare.com",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "gateway.example.com",
    "status": "active",
    "target": "ipfs"
  },
  "success": true,
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "This is my IPFS gateway.",
    "dnslink": "/ipns/onboarding.ipfs.cloudflare.com",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "gateway.example.com",
    "status": "active",
    "target": "ipfs"
  },
  "success": true,
  "result_info": {}
}